Package uk.ac.starlink.topcat.func

# Class Image

java.lang.Object
uk.ac.starlink.topcat.func.Image

public class Image extends Object
Functions for display of images in a window. Supported image formats include GIF, JPEG, PNG and FITS, which may be compressed.

Since:
  1 Oct 2004
Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayImage(String label, String location)`
Displays the file at the given location in an image viewer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### displayImage

public static String displayImage(String label, String location)
Displays the file at the given location in an image viewer.

Parameters:
  `label` - identifies the window in which the imag will be displayed
  `location` - image location - may be a filename or URL
Returns:
  short log message